// Mr. General I/O pin definitions for Arduino Nano

#define IRleft           4  // Compound Eye Left      - analog  input    A4
#define IRright          5  // Compound Eye Right     - analog  input    A5       
#define IRup             6  // Compound Eye Up        - analog  input    A6
#define IRdown           7  // Compound Eye Down      - analog  input    A7
#define IRleds           2  // Compound Eye LEDs      - digital output   D2

#define neckleftrightpin 5  // PAN  Servo             - digital output   D5
#define neckupdownpin    6  // TILt Servo             - digital output   D6
#define leftmotorpin     9  // Left  Motor Servo      - digital output   D9
#define rightmotorpin   10  // Right Motor Servo      - digital output  D10

#define rightfrontsenpin 3  // Front Right Sensor     - analog  input    A3
#define leftfrontsenpin  2  // Front Left  Sensor     - analog  input    A2
#define leftrearsenpin   1  // Rear  Left  Sensor     - analog  input    A1
#define rightrearsenpin  0  // Rear  Right Sensor     - analog  input    A0

#define rightfrontLED    7  // Front Right  LEDs      - digital output   D7
#define leftfrontLED     8  // Front Left   LEDs      - digital output   D8
#define leftrearLED     12  // Rear  Left   LEDs      - digital output  D12
#define rightrearLED     4  // Rear  Right  LEDs      - digital output   D4

#define leftsparepin     3  // Left  spare socket     - digital output   D3
#define rightsparepin   11  // Right spare socket     - digital output  D11

#define Speaker         13  // Speaker                - digital output  D13


